import 'dart:io' as io;
export 'option.dart';
import 'package:prompter_ibrahim_shmrani/src/option.dart';

class Terminal {
  const Terminal();
  void printPrompt(String prompt) {
    io.stdout.writeln(prompt);
  }

  String collectInput() {
    return io.stdin.readLineSync();
  }

  void printOption(List<Option> listOption) {
    listOption.asMap().forEach((ind, item) {
      io.stdout.writeln('$ind $item.label');
    });
    io.stdout.writeln('Enter a choice :\n');
    io.stdout.write('>');
  }

  void clearScreen() {
    if (io.Platform.isWindows) {
      io.stdout.write('\x1B[2J\x1B[0f');
    } else
      io.stdout.write('\x1B[2J\x1B3J\x1B[H');
  }
}
